@extends('admin.template')
@section('icerik')


    {{ csrf_field() }}

    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">


                <div class="card-body">
                    <div class="input-group-append">
                        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#create">
                           + Marka Ekle
                          </button>
                    </div>
                    &ensp;

                    <div class="form-group ">
                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <th>#</th>
                                <th>başlık</th>
                                <th>Eklenme Tarihi</th>
                                <th>İşlemler</th>
                            </thead>
                            <tbody>
                                @foreach ($markalar as $marka)
                                <tr>
                                    <td>{{ $marka->id }}</td>
                                    <td>{{ $marka->isim }}</td>
                                    <td>{{ $marka->created_at->format('d/m/Y') }}</td>
                                    <td><a href="#" class="btn btn-info btn-sm ac-MarkaIcınId" id="testdegeral"
                                        data-id="{{ $marka->id }}" data-isim="{{ $marka->isim }}" data-toggle="modal"><span class='fa fa-edit'></span></a></td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>




  <!-- /.row -->
</div>

{{-- Ekle Modal --}}
<div id="create" class="modal fade" role="dialog">
    <form method="POST" action="{{ route('home.tanimlamalar.markakaydet')}}">
        {{ csrf_field() }}
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="form-group row add">
              <label class="control-label col-sm-3" for="title"><b>Marka Başlığı:</b></label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="isim" name="isim"
                 required>
              </div>
            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>+ Ekle
              </button>
              <button class="btn btn-anger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>Kapat
              </button>
            </div>
      </div>
    </div>
</form>
  </div>
{{-- Ekle Modal --}}

{{-- Düzenle Modal --}}
<form method="POST" action="{{ route('home.tanimlamalar.markaduzenle')}}">
    {{ csrf_field() }}
<div id="duzenle" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-body">

            <div class="form-group row add">
              <label class="control-label col-sm-3" for="title"><b>Marka Başlığı:</b></label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="isim1" name="isim1" value=""  required>
                <input type="text" class="form-control" id="id" name="id" value="" required hidden>
              </div>
            </div>

        </div>
            <div class="modal-footer">
              <button class="btn btn-success" type="submit" id="add">
                <span class="glyphicon glyphicon-plus"></span>Düzenle
              </button>
              <button class="btn btn-danger" type="button" data-dismiss="modal">
                <span class="glyphicon glyphicon-remobe"></span>Kapat
              </button>
            </div>
      </div>
    </div>
  </div>
</form>
{{-- Düzenle Modal --}}
</div>
@endsection

@section('css')
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">

@endsection

@section('js')


<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>


<script>
    $(function () {

      $('#example').DataTable({
        "paging": true,
        "lengthChange": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "Sayfada _MENU_ kayıt göster",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }
      });
    });
  </script>

<script type="text/javascript">
    $(document).ready(function () {
        $(".ac-MarkaIcınId").click(function () {
            $('#id').val($(this).data('id'));
            $('#isim1').val($(this).data('isim'));
            $('#duzenle').modal('show');
        });

    });
</script>



@endsection
